OGRE: Ogre::OverlaySystem Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::OverlaySystem Class Reference
Optional Components » Overlay

This class simplify initialization / finalization of the overlay system. More...

`#include <OgreOverlaySystem.h>`

Inheritance diagram for Ogre::OverlaySystem:
[legend]

## Public Member Functions
| OverlaySystem ()
virtual | ~OverlaySystem ()
void | eventOccurred (const String &eventName, const NameValuePairList *parameters) override
| A rendersystem-specific event occurred.
void | preRenderQueues () override
| Event raised before all render queues are processed.
Public Member Functions inherited from Ogre::Singleton< OverlaySystem >
| ~Singleton (void)
Public Member Functions inherited from Ogre::RenderQueueListener
virtual | ~RenderQueueListener ()
virtual void | postRenderQueues ()
| Event raised after all render queues are processed.
virtual void | renderQueueEnded (uint8 queueGroupId, const String &cameraName, bool &repeatThisInvocation)
| Event raised after a queue group is rendered.
virtual void | renderQueueStarted (uint8 queueGroupId, const String &cameraName, bool &skipThisInvocation)
| Event raised before a queue group is rendered.
Public Member Functions inherited from Ogre::RenderSystem::Listener
| Listener ()
virtual | ~Listener ()

## Static Public Member Functions
static OverlaySystem & | getSingleton ()
static OverlaySystem * | getSingletonPtr ()
Static Public Member Functions inherited from Ogre::Singleton< OverlaySystem >
static OverlaySystem & | getSingleton (void)
| Get the singleton instance.
static OverlaySystem * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

This class simplify initialization / finalization of the overlay system.

OGRE root did this steps before the overlay system transformed into a component.

Before you create a concrete instance of the OverlaySystem the OGRE::Root must be created but not initialized. In the ctor all relevant systems are created and registered. The dtor must be called before you delete OGRE::Root. To make the overlays visible (= render into your viewports) you have to register this instance as a RenderQueueListener in your scenemanager(s).

The documentation for this class was generated from the following file:

- OgreOverlaySystem.h